Package org.eclipse.m2m.atl.emftvm.util

## Class LazyCollection.RejectIterator

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
  - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator
    - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.FilterIterator
      - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.RejectIterator

All Implemented Interfaces:
  `java.util.Iterator<E>`

Enclosing class:
  LazyCollection<E>

    public class LazyCollection.RejectIterator
    extends LazyCollection.FilterIterator

`LazyCollection.FilterIterator` that rejects elements from the underlying collection by evaluation a condition function on them.

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.FilterIterator

`condition, next, nextIncluded, nextSet, parentFrame`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`i, inner`

### Constructor Summary

Constructors
`RejectIterator​(CodeBlock condition, StackFrame parentFrame)` Creates a `LazyCollection.RejectIterator` with `condition`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `include​(E element)` Checks whether to include

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.FilterIterator

`hasNext, next`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`updateCache`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### RejectIterator

    public RejectIterator​(CodeBlock condition,
                          StackFrame parentFrame)

Creates a `LazyCollection.RejectIterator` with `condition`.

Parameters:
  `condition` - the condition function
  `parentFrame` - the parent stack frame context

### Method Detail

#### include

    protected final boolean include​(E element)

Checks whether to include

    element

.

Specified by:
  `include` in class `LazyCollection.FilterIterator`
Parameters:
  `element` - the element to filter
Returns:
  `true` iff `element` should be included in this collection